package com.gyee.wisdom.dataadapter.controller.thing;

import com.gyee.wisdom.common.data.alarm.WarningClassify;
import com.gyee.wisdom.common.data.windturbine.PowerStation;
import com.gyee.wisdom.common.data.windturbine.Windturbine;
import com.gyee.wisdom.dataadapter.domain.thing.DataDictionaryService;
import com.gyee.wisdom.dataadapter.domain.thing.StationService;
import com.gyee.wisdom.dataadapter.domain.thing.WindturbineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Optional;

/*
 *
 * @author songwb
 */


@RestController
@RequestMapping("/category")
@CrossOrigin
public class CategoryController {

    @Autowired
    protected DataDictionaryService dataDictionaryService;

    @GetMapping("/warningclassify")
    public List<WarningClassify> getWarningClassify() {
        return dataDictionaryService.getWarningClassify();
    }

}


