package com.gyee.wisdom.dataadapter.websocket.domain;

import lombok.Data;

import java.util.Map;

/**
 * @descrition: 风机信息
 * @author:Wanghs
 * @date:2019-09-23
 */
@Data
public class WindturbineData {
    /// 风机编号
    private String windturbineId = "";

    /// 风机型号
    private String modelId = "";

    /// 风场编号
    private String stationId = "";

    //项目编号
    private String projectId = "";

    /// 风速值
    private double windSpeed = MyConstant.UnInitZero;

    /// 功率值
    private double power = MyConstant.UnInitZero;

    /// 转速值
    private double rollSpeed = MyConstant.UnInitZero;

    /// 状态值
    private double status = -1;

    /// 挂牌状态
    private double lockValue = MyConstant.UnInitZero;

    /// 状态持续时长
    private long ts = MyConstant.UnInitZero;


}
